# Class UserDoubleSpecifier

java.lang.Object
uk.ac.starlink.ttools.plot2.config.SpecifierPanel<Double>
uk.ac.starlink.topcat.UserDoubleSpecifier

All Implemented Interfaces:
  `uk.ac.starlink.ttools.plot2.config.Specifier<Double>`

public class UserDoubleSpecifier extends uk.ac.starlink.ttools.plot2.config.SpecifierPanel<Double>
Component that allows the user to adjust a floating point value. This implements the `Specifier` interface since that's what's required here, though it's not intended to be used like most other `Specifier` implementations (for instance the component is much less compact).

Since:
  3 Jul 2025
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`UserDoubleSpecifier()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected JComponent`
`createComponent()`
`Double`
`getSpecifiedValue()`
`void`
`setSpecifiedValue(Double value)`
`void`
`submitReport(uk.ac.starlink.ttools.plot2.ReportMap report)`
No-op.

### Methods inherited from class uk.ac.starlink.ttools.plot2.config.SpecifierPanel

`addActionListener, fireAction, getActionForwarder, getChangeForwarder, getComponent, isXFill, removeActionListener`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserDoubleSpecifier

public UserDoubleSpecifier()
Constructor.

## Method Details

### createComponent

protected JComponent createComponent()

Specified by:
  `createComponent` in class `uk.ac.starlink.ttools.plot2.config.SpecifierPanel<Double>`

### getSpecifiedValue

public Double getSpecifiedValue()

### setSpecifiedValue

public void setSpecifiedValue(Double value)

### submitReport

public void submitReport(uk.ac.starlink.ttools.plot2.ReportMap report)
No-op.